package tictactoe;

import java.io.*;
/**
 * Class to enforce rules of Gomoku.
 * @author Oscar.Nierstrasz@acm.org
 * @version 2.0 1999-03-26
 **/
public class Gomoku extends AbstractBoardGame {

	/**
	 * Gomoku is similar to TicTacToe, except it
	 * is played on a 19x19 Go board, and the winner
	 * must get 5 in a row.
	 **/
	public Gomoku(Player playerX, Player playerO)
	{
		this.init(19,19,5,playerX, playerO);
	}

	/**
	 * Gomoku can also be played on a board of different dimensions.
	 * Obviously cols and rows should be greater than 5 and less than 19.
	 **/
	public Gomoku(Player playerX, Player playerO, int cols, int rows)
	{
		this.init(cols,rows,5,playerX, playerO);
	}
}
