import java.io.*;

/**
 * Absorb all print commands, printing nothing.
 * @author Oscar.Nierstrasz@acm.org
 * @version 1.2 1998-11-29
 */
public class NullPrintStream extends PrintStream {
	NullPrintStream() { super(System.out); }
	public void print() { }
	public void print(Object x) { }
	public void print(char c) { }
	public void print(char c[]) { }
	public void print(String s) { }
	public void println() { }
	public void println(Object x) { }
	public void println(char c) { }
	public void println(char c[]) { }
	public void println(String s) { }
}
