import java.util.Hashtable;
import java.util.Enumeration;

class MoneyBag {
	private Hashtable fMonies = new Hashtable(5);

	MoneyBag(Money m1, Money m2) {
		appendMoney(m1);
		appendMoney(m2);
	}

	MoneyBag(Money bag[]) {
		for (int i= 0; i < bag.length; i++)
			appendMoney(bag[i]);
	}

	private void appendMoney(Money aMoney) {
		Money m = (Money) fMonies.get(aMoney.currency());
		if (m != null) { m = m.add(aMoney); }
		else { m = aMoney; }
		fMonies.put(aMoney.currency(), m);
	}

	public String toString() {
		String s = "";
		Enumeration elts = fMonies.elements();
		while (elts.hasMoreElements()) {
			s = s + " " + elts.nextElement();
		}
		return "{" + s + " }";
	}
}
