import java.io.*;
/**
 * Class to enforce rules of TicTacToe.
 * @author Oscar.Nierstrasz@acm.org
 * @version 1.4 1999-02-07
 */
public class TicTacToe extends AbstractBoardGame {
	public TicTacToe(Player playerX, Player playerO)
		throws AssertionException
	{
		gameState_ = new char[3][3];
		for (char col='a'; col <='c'; col++)
			for (char row='1'; row<='3'; row++)
				this.set(col,row,' ');
		
		player_ = new Player[2];
		player_[X] = playerX;
		player_[O] = playerO;
	}
}
